Subject: Re: [SWIPL] installation problems

From: Jan Wielemaker <[email-masked]>
Date: Mon, 26 Mar 2001 21:03:23 +0200

> Platform: i386-linux (RedHat 6.2)
> 
> I am currently running pl-3.3.8-30, and wish to upgrade.  When I try
> to install either pl-3.4.5-38.i386.rpm or pl-4.0.2-44.i386.rpm, I get
>   error: failed dependencies:
>         libncurses.so.5 is needed by pl-3.4.5-38
>         libreadline.so.4.0 is needed by pl-3.4.5-38
> As far as I can tell from the RedHat ftp site, I am using the most
> recent rpm versions of ncurses, ncurses-devel, readline, and
> readline-devel.  Moreover:
> 
>   # ls libncurses.*
>   libncurses.a  libncurses.so@  libncurses.so.4@  libncurses.so.4.0*
>   sobolev:lib# rpm -qf libncurses.*
>   ncurses-devel-5.0-12
>   ncurses-devel-5.0-12
>   ncurses-5.0-12
>   ncurses-5.0-12
>   # ls libreadline.*
>   libreadline.a  libreadline.so@  libreadline.so.3@  libreadline.so.3.0
>   sobolev:lib# rpm -qf libreadline.*
>   readline-devel-2.2.1-6
>   readline-devel-2.2.1-6
>   file libreadline.so.3 is not owned by any package
>   readline-2.2.1-6
> 
> (If I remember correctly, I made the libreadline.so.3 symlink by hand.)
> 
> So, my question: from which RPMs can I obtain the libncurses.so.5 and
> libreadline.so.4.0?  

It appears Linux distributions make a complete mess of version control
of especially these two libraries.  In this particular case, it is rather
odd that you have the package ncurses-5.0 installing library version 4.0??

Maybe I should link these two libraries statically, but I hate the idea.

There is a very good change you get away making a link from the requested
library to the closest you have and add --nodeps to the RPM options to
force the installation.

Alternative: fetch the source ...  If configure isn't happy you have
Prolog without readline, but at least you have Prolog ...

	--- Jan

P.s.	If there is a volunteer for making Redhat RPM's on regular basis
	or someone with a good workable solution to this problem, please
	let me know.